Import media from URL
curl --request POST \
--url https://api.autoadify.com/v1/media/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"fileName": "<string>",
"altText": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', fileName: '<string>', altText: '<string>'})
};
fetch('https://api.autoadify.com/v1/media/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.autoadify.com/v1/media/import"
payload = {
"url": "<string>",
"fileName": "<string>",
"altText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"type": "image",
"status": "pending",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 0,
"url": "<string>",
"thumbnailUrl": "<string>",
"width": 0,
"height": 0,
"durationSeconds": 0,
"altText": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}Media
Import media from URL
Downloads an image (JPEG, PNG, WEBP, GIF, max 50 MB), video (MP4, MOV, WEBM, max 200 MB) or document from a public URL into the media library.
Requires the publish scope.
POST
/
media
/
import
Import media from URL
curl --request POST \
--url https://api.autoadify.com/v1/media/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"fileName": "<string>",
"altText": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', fileName: '<string>', altText: '<string>'})
};
fetch('https://api.autoadify.com/v1/media/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.autoadify.com/v1/media/import"
payload = {
"url": "<string>",
"fileName": "<string>",
"altText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"type": "image",
"status": "pending",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 0,
"url": "<string>",
"thumbnailUrl": "<string>",
"width": 0,
"height": 0,
"durationSeconds": 0,
"altText": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}Authorizations
An API key from Autoadify → Settings → API & MCP, sent as Authorization: Bearer aak_live_….
Body
application/json
Response
The imported file, ready to attach.
Use in mediaIds when creating a post.
Available options:
image, gif, video, document, audio Available options:
pending, ready, failed Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991What the file shows, from Autoadify's vision pass; null until it has run.

